Bug 243648 - softirq-defer patch is broken
softirq-defer patch is broken
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-06-11 04:34 EDT by Herbert Xu
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Herbert Xu 2007-06-11 04:34:22 EDT
The softirq-defer patch is broken on x86_64 because of the IRQ stack.  It should
either be disabled on x86_64 or modified to handle the IRQ stack.  As it is
softirq's arriving through the IRQ stack can be delayed.  It just happens that
most of them punch through because most task pointers are less then the IRQ
stack pointer (but not all, e.g. the idle thread).
Comment 2 RHEL Product and Program Management 2007-10-19 14:36:24 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.